
QGIS Application - Bug report #1003

SIP-related Compile errors

2008-03-19 09:40 AM - John Tull

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate

Crashes QGIS or corrupts data: Copied to github as #: 11063

Description

In building qgis, I am hitting a series of sip-related issues that seem to reduce some of the functionality in the python bindings. For

example, the recent geoprocessing plugin will not load layers into the menus when trying to perform geoprocessing operations. I am

thinking this is due to the compile errors listed below.

I tried many variations on installing Qt, sip, and [[PyQt]], none of which have altered the result. I am not clear if this is a qgis issue or not.

I attached a rather large debug output from make. Here is the relevant portion of the standard make output:

[ 36%] Built target qgis_gui

[ 36%] [ 36%] Generating ui_qgsdelimitedtextpluginguibase.h

[ 36%] Generating ui_pluginguibase.h

[ 36%] Generating moc_qgspythondialog.cxx

Generating core/Makefile, gui/Makefile

[ 36%] [ 36%] Generating moc_plugin.cxx

[ 36%] Generating moc_qgisapp.cxx

Generating moc_qgsdelimitedtextplugin.cxx

[ 36%] Generating moc_qgsdelimitedtextplugingui.cxx

[ 36%] Generating moc_plugingui.cxx

Parsing SIP files for 'core' library...

/usr/local/bin/sip -c core -b /Users/jctull/sources/qgis/trunk/build/python/core/core.sbf -I /usr/local/share/sip/PyQt4 -x [[VendorID]] -t

WS_MACX -x [[PyQt]]_NoPrintRangeBug -t Qt_4_3_3 -g /Users/jctull/sources/qgis/trunk/python/core/core.sip

[ 37%] Generating qrc_delimited_text.cxx

[ 37%] [ 37%] Generating qrc_copyright_plugin.cxx

Generating moc_qgisappinterface.cxx

[ 37%] Generating moc_qgsabout.cxx

[ 37%] Generating moc_qgsaddattrdialog.cxx

Scanning dependencies of target delimitedtextplugin

[ 38%] Generating moc_qgsattributeactiondialog.cxx

Scanning dependencies of target copyrightlabelplugin

[ 38%] Generating moc_qgsattributedialog.cxx

[ 38%] Generating moc_qgsattributetabledisplay.cxx

[ 38%] Generating moc_qgsattributetable.cxx

[ 39%] Building CXX object src/plugins/delimited_text/CMakeFiles/delimitedtextplugin.dir/qgsdelimitedtextplugin.o

[ 39%] Building CXX object src/plugins/copyright_label/CMakeFiles/copyrightlabelplugin.dir/plugin.o

[ 39%] Generating moc_qgsbookmarks.cxx

[ 39%] Generating moc_qgscontinuouscolordialog.cxx

[ 40%] Generating moc_qgscustomprojectiondialog.cxx

[ 40%] Generating moc_qgsdelattrdialog.cxx

[ 40%] Generating moc_qgsfillstylewidget.cxx

[ 40%] Generating moc_qgsgeomtypedialog.cxx
[ 40%] Generating moc_qgsgraduatedsymboldialog.cxx

[ 40%] Generating moc_qgshelpviewer.cxx

[ 40%] Generating moc_qgsidentifyresults.cxx

[ 41%] Generating moc_qgslabeldialog.cxx

[ 41%] [ 41%] Generating moc_qgslinestyledialog.cxx

Building CXX object src/plugins/delimited_text/CMakeFiles/delimitedtextplugin.dir/qgsdelimitedtextplugingui.o

[ 41%] Generating moc_qgslinestylewidget.cxx

^[[A[ 41%] Generating moc_qgsludialog.cxx

[ 41%] Generating moc_qgsmaplayerinterface.cxx

[ 41%] Generating moc_qgsmaptoolidentify.cxx

[ 42%] Generating moc_qgsmarkerdialog.cxx

[ 42%] Building CXX object src/plugins/copyright_label/CMakeFiles/copyrightlabelplugin.dir/plugingui.o

[ 42%] Generating moc_qgsmeasuredialog.cxx

[ 42%] Generating moc_qgsnewhttpconnection.cxx

[ 42%] Generating moc_qgsoptions.cxx

[ 42%] Generating moc_qgspastetransformations.cxx

[ 42%] Generating moc_qgspatterndialog.cxx

[ 43%] Generating moc_qgspluginmanager.cxx

[ 43%] Building CXX object src/plugins/delimited_text/CMakeFiles/delimitedtextplugin.dir/moc_qgsdelimitedtextplugin.o

[ 43%] Generating moc_qgspointstylewidget.cxx

[ 43%] Generating moc_qgsprojectproperties.cxx

[ 43%] [ 43%] Generating moc_qgsrasterlayerproperties.cxx

Building CXX object src/plugins/copyright_label/CMakeFiles/copyrightlabelplugin.dir/moc_plugin.o

[ 43%] Generating moc_qgssearchquerybuilder.cxx

[ 43%] Generating moc_qgsserversourceselect.cxx

[ 43%] Building CXX object src/plugins/delimited_text/CMakeFiles/delimitedtextplugin.dir/moc_qgsdelimitedtextplugingui.o

[ 43%] Generating moc_qgssinglesymboldialog.cxx

Parsing SIP files for 'gui' library...

/usr/local/bin/sip -c gui -b /Users/jctull/sources/qgis/trunk/build/python/gui/gui.sbf -I /Users/jctull/sources/qgis/trunk/python -I

/usr/local/share/sip/PyQt4 -x [[VendorID]] -t WS_MACX -x [[PyQt]]_NoPrintRangeBug -t Qt_4_3_3 -g

/Users/jctull/sources/qgis/trunk/python/gui/gui.sip

[ 44%] Building CXX object src/plugins/copyright_label/CMakeFiles/copyrightlabelplugin.dir/moc_plugingui.o

[ 45%] Generating moc_qgssnappingdialog.cxx

[ 45%] Generating moc_qgsuniquevaluedialog.cxx

[ 45%] Generating moc_qgsvectorlayerproperties.cxx

[ 45%] Generating moc_qgscomposer.cxx

[ 45%] Generating moc_qgscomposerlabel.cxx

[ 45%] Generating moc_qgscomposerpicture.cxx

[ 46%] Generating moc_qgscomposermap.cxx

[ 46%] [ 46%] Building CXX object src/plugins/delimited_text/CMakeFiles/delimitedtextplugin.dir/qrc_delimited_text.o

Generating moc_qgscomposerscalebar.cxx

[ 46%] Generating moc_qgscomposervectorlegend.cxx

[ 46%] [ 46%] Generating moc_qgscomposerview.cxx

Building CXX object src/plugins/copyright_label/CMakeFiles/copyrightlabelplugin.dir/qrc_copyright_plugin.o

[ 46%] Generating moc_qgscomposition.cxx

[ 46%] Generating moc_qgslegend.cxx

Linking CXX shared module libcopyrightlabelplugin.so

Linking CXX shared module libdelimitedtextplugin.so

[ 46%] Generating moc_qgslegendlayer.cxx

[ 47%] [ 47%] Built target delimitedtextplugin

Generating moc_qgslegendlayerfile.cxx

[ 47%] Generating ui_pluginguibase.h

[ 47%] Built target copyrightlabelplugin
[ 47%] [ 47%] Generating ui_pluginguibase.h

Generating moc_plugin.cxx

[ 47%] [ 47%] Generating moc_plugingui.cxx

Generating moc_plugin.cxx

[ 47%] Generating moc_plugingui.cxx

[ 47%] Generating moc_qgsdbsourceselect.cxx

[ 47%] Generating qrc_gridmaker_plugin.cxx

[ 48%] Generating qrc_northarrow_plugin.cxx

Scanning dependencies of target gridmakerplugin

Scanning dependencies of target northarrowplugin

[ 48%] Generating moc_qgsnewconnection.cxx

[ 48%] Generating moc_qgspgquerybuilder.cxx

Scanning dependencies of target qgis

[ 48%] Building CXX object src/plugins/grid_maker/CMakeFiles/gridmakerplugin.dir/plugin.o

[ 49%] Building CXX object src/plugins/north_arrow/CMakeFiles/northarrowplugin.dir/plugin.o

Creating makefiles...

Creating qgisconfig.py...

Done

[ 49%] [ 49%] Generating core/core.so

Building CXX object src/plugins/grid_maker/CMakeFiles/gridmakerplugin.dir/plugingui.o

maker3: warning: jobserver unavailable: using -j1.  Add @+' to parent make rule.

[ 49%] Building CXX object src/plugins/north_arrow/CMakeFiles/northarrowplugin.dir/plugingui.o

[ 49%] Building CXX object src/plugins/grid_maker/CMakeFiles/gridmakerplugin.dir/graticulecreator.o

[ 49%] Building CXX object src/plugins/north_arrow/CMakeFiles/northarrowplugin.dir/moc_plugin.o

[ 49%] Building CXX object src/plugins/north_arrow/CMakeFiles/northarrowplugin.dir/moc_plugingui.o

[ 49%] Building CXX object src/plugins/grid_maker/CMakeFiles/gridmakerplugin.dir/moc_plugin.o

[ 49%] Building CXX object src/plugins/north_arrow/CMakeFiles/northarrowplugin.dir/qrc_northarrow_plugin.o

[ 50%] Building CXX object src/plugins/grid_maker/CMakeFiles/gridmakerplugin.dir/moc_plugingui.o

Linking CXX shared module libnortharrowplugin.so

[ 50%] Built target northarrowplugin

[ 50%] Generating ui_pluginguibase.h

[ 50%] Generating moc_plugin.cxx

[ 50%] [ 50%] Generating moc_plugingui.cxx

Building CXX object src/plugins/grid_maker/CMakeFiles/gridmakerplugin.dir/qrc_gridmaker_plugin.o

[ 50%] Generating qrc_scalebar_plugin.cxx

Linking CXX shared module libgridmakerplugin.so

Scanning dependencies of target scalebarplugin

[ 50%] Built target gridmakerplugin

[ 50%] Generating ui_qgsdlgpgbufferbase.h

[ 50%] Generating moc_qgspggeoprocessing.cxx

[ 50%] Building CXX object src/plugins/scale_bar/CMakeFiles/scalebarplugin.dir/plugin.o

[ 50%] Generating moc_qgsdlgpgbuffer.cxx

Scanning dependencies of target pggeoprocessingplugin

[ 50%] Building CXX object src/plugins/geoprocessing/CMakeFiles/pggeoprocessingplugin.dir/qgspggeoprocessing.o

[ 50%] Building CXX object src/plugins/scale_bar/CMakeFiles/scalebarplugin.dir/plugingui.o

[ 50%] Building CXX object src/app/CMakeFiles/qgis.dir/main.o

[ 50%] Building CXX object src/plugins/geoprocessing/CMakeFiles/pggeoprocessingplugin.dir/qgsdlgpgbuffer.o

[ 50%] Building CXX object src/plugins/scale_bar/CMakeFiles/scalebarplugin.dir/moc_plugin.o

[ 50%] Building CXX object src/plugins/scale_bar/CMakeFiles/scalebarplugin.dir/moc_plugingui.o

[ 51%] Building CXX object src/plugins/geoprocessing/CMakeFiles/pggeoprocessingplugin.dir/moc_qgspggeoprocessing.o

[ 52%] Building CXX object src/plugins/scale_bar/CMakeFiles/scalebarplugin.dir/qrc_scalebar_plugin.o

[ 52%] Building CXX object src/plugins/geoprocessing/CMakeFiles/pggeoprocessingplugin.dir/moc_qgsdlgpgbuffer.o

Linking CXX shared module libscalebarplugin.so
[ 52%] Built target scalebarplugin

[ 52%] Generating ui_qgsmessageviewer.h

[ 52%] Generating moc_qgsspit.cxx

Linking CXX shared module libpggeoprocessingplugin.so

[ 52%] Generating moc_qgsshapefile.cxx

[ 52%] Generating moc_qgseditreservedwordsdialog.cxx

[ 52%] Built target pggeoprocessingplugin

[ 53%] Generating ui_qgsgpsdevicedialogbase.h

[ 54%] Generating moc_qgsconnectiondialog.cxx

[ 54%] [ 54%] Generating moc_qgsgpsplugin.cxx

Generating moc_qgsspitplugin.cxx

[ 54%] Generating ui_qgsconnectiondialogbase.h

[ 54%] Generating moc_qgsgpsplugingui.cxx

[ 54%] Generating ui_qgsspitbase.h

[ 54%] Generating moc_qgsgpsdevicedialog.cxx

[ 54%] Generating ui_qgseditreservedwordsbase.h

[ 54%] Generating qrc_qgsgps_plugin.cxx

Scanning dependencies of target spitplugin

[ 54%] Generating ui_qgsgpspluginguibase.h

Scanning dependencies of target gpsimporterplugin

[ 54%] Building CXX object src/plugins/spit/CMakeFiles/spitplugin.dir/qgsspit.o

[ 54%] Building CXX object src/plugins/gps_importer/CMakeFiles/gpsimporterplugin.dir/qgsgpsplugin.o

[ 55%] Building CXX object src/plugins/gps_importer/CMakeFiles/gpsimporterplugin.dir/qgsbabelformat.o

[ 56%] Building CXX object src/app/CMakeFiles/qgis.dir/qgisapp.o

[ 56%] Building CXX object src/plugins/gps_importer/CMakeFiles/gpsimporterplugin.dir/qgsgpsdevice.o

[ 57%] Building CXX object src/plugins/spit/CMakeFiles/spitplugin.dir/qgsconnectiondialog.o

[ 57%] Building CXX object src/plugins/gps_importer/CMakeFiles/gpsimporterplugin.dir/qgsgpsplugingui.o

[ 57%] Building CXX object src/plugins/spit/CMakeFiles/spitplugin.dir/qgspgutil.o

[ 57%] Building CXX object src/plugins/spit/CMakeFiles/spitplugin.dir/qgsshapefile.o

[ 57%] Building CXX object src/plugins/gps_importer/CMakeFiles/gpsimporterplugin.dir/qgsgpsdevicedialog.o

[ 57%] Building CXX object src/plugins/spit/CMakeFiles/spitplugin.dir/qgseditreservedwordsdialog.o

[ 57%] Building CXX object src/plugins/gps_importer/CMakeFiles/gpsimporterplugin.dir/moc_qgsgpsplugin.o

[ 57%] Building CXX object src/plugins/gps_importer/CMakeFiles/gpsimporterplugin.dir/moc_qgsgpsplugingui.o

[ 57%] Building CXX object src/plugins/spit/CMakeFiles/spitplugin.dir/qgsspitplugin.o

[ 58%] Building CXX object src/plugins/gps_importer/CMakeFiles/gpsimporterplugin.dir/moc_qgsgpsdevicedialog.o

[ 58%] Building CXX object src/plugins/spit/CMakeFiles/spitplugin.dir/moc_qgsspit.o

[ 58%] Building CXX object src/plugins/gps_importer/CMakeFiles/gpsimporterplugin.dir/qrc_qgsgps_plugin.o

[ 58%] Building CXX object src/plugins/spit/CMakeFiles/spitplugin.dir/moc_qgsshapefile.o

[ 59%] Building CXX object src/plugins/spit/CMakeFiles/spitplugin.dir/moc_qgseditreservedwordsdialog.o

Linking CXX shared module libgpsimporterplugin.so

[ 59%] [ 59%] Built target gpsimporterplugin

Building CXX object src/app/CMakeFiles/qgis.dir/qgisappinterface.o

[ 59%] Generating ui_qgswfssourceselectbase.h

[ 59%] Generating moc_qgswfsplugin.cxx

[ 59%] Generating moc_qgswfssourceselect.cxx

[ 59%] Generating moc_qgsnewhttpconnection.cxx

Scanning dependencies of target wfsplugin

[ 59%] Building CXX object src/plugins/spit/CMakeFiles/spitplugin.dir/moc_qgsconnectiondialog.o

[ 59%] Building CXX object src/plugins/wfs/CMakeFiles/wfsplugin.dir/qgswfsplugin.o

[ 59%] Building CXX object src/plugins/spit/CMakeFiles/spitplugin.dir/moc_qgsspitplugin.o

[ 59%] Building CXX object src/app/CMakeFiles/qgis.dir/qgsabout.o

Linking CXX shared module libspitplugin.so

[ 59%] Built target spitplugin
[ 59%] Generating ui_qgsgeorefwarpoptionsdialogbase.h

[ 59%] Generating moc_plugin.cxx

[ 59%] Building CXX object src/plugins/wfs/CMakeFiles/wfsplugin.dir/qgswfssourceselect.o

[ 59%] Generating moc_plugingui.cxx

[ 59%] Generating moc_qgspointdialog.cxx

[ 59%] Generating moc_mapcoordsdialog.cxx

[ 59%] Generating moc_qgsgeorefwarpoptionsdialog.cxx

[ 59%] Generating qrc_georeferencer.cxx

[ 60%] Generating ui_pluginguibase.h

[ 60%] Generating ui_qgspointdialogbase.h

[ 60%] Generating ui_mapcoordsdialogbase.h

[ 60%] Generating ui_qgsgeorefdescriptiondialogbase.h

Scanning dependencies of target georefplugin

[ 60%] Building CXX object src/app/CMakeFiles/qgis.dir/qgsaddattrdialog.o

[ 60%] Building CXX object src/plugins/georeferencer/CMakeFiles/georefplugin.dir/plugin.o

[ 60%] Building CXX object src/plugins/wfs/CMakeFiles/wfsplugin.dir/+/+/+/+/src/app/qgsnewhttpconnection.o

[ 60%] Building CXX object src/plugins/georeferencer/CMakeFiles/georefplugin.dir/qgsgeorefdatapoint.o

[ 60%] Building CXX object src/app/CMakeFiles/qgis.dir/qgsattributeactiondialog.o

[ 60%] Building CXX object src/plugins/wfs/CMakeFiles/wfsplugin.dir/moc_qgswfsplugin.o

[ 61%] Building CXX object src/plugins/georeferencer/CMakeFiles/georefplugin.dir/plugingui.o

[ 61%] Building CXX object src/plugins/wfs/CMakeFiles/wfsplugin.dir/moc_qgswfssourceselect.o

[ 61%] Building CXX object src/app/CMakeFiles/qgis.dir/qgsattributedialog.o

[ 62%] Building CXX object src/plugins/wfs/CMakeFiles/wfsplugin.dir/moc_qgsnewhttpconnection.o

sipcoreQgsLabelAttributes.cpp: In function ‘PyObject* meth_QgsLabelAttributes_bufferColor(PyObject*, [[PyObject]]*)’:

sipcoreQgsLabelAttributes.cpp:1274: warning: taking address of temporary

History

#1 - 2008-03-19 09:41 AM - John Tull

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate removed

#2 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
